﻿Copyright (c) (2015) Fluke Corporation                      MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Amprobe 37XR-A (1 yr) Frequency VER /FGEN
DATE:                  2015-11-19 13:59:44
AUTHOR:                Fluke Corporation
REVISION:              $Revision: 13412 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       7
NUMBER OF LINES:       134
CONFIGURATION:         Function Generator
=============================================================================
#
#  Procedure Author:
#       KH, DAC
#
#  Source:
#       Wavetek Meterman 37XR User Manual
#       Electrical Specifications
#       PN 1990741 October 2002 Revision N/A
#
# Compatibility:
#       MET/CAL 8.1.4 or later
#
#  Additional Equipment Required:
#      None
#
#  Due to OEM's policy of continuously updating products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, we cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  IF           0
  1.002  IEEE         [@FGEN]
  1.003  ENDIF

  1.004  CALL         Sub Initialize /FGEN

  1.005  RSLT         =
  1.006  HEAD         {FREQUENCY}
  1.007  MATH         @FGEN_Waveform = "Sine"
  1.008  MATH         @FGEN_Ampl     = "2.5V"
  1.009  RSLT         =
  1.010  HEAD         -2{100 Hz Range}
  1.011  MATH         @FGEN_Freq = "60Hz"
  1.012  TARGET       -p
  1.013  CALL         Sub Reset /FGEN
  1.014  DISP         Connect [V @FGEN_DevName] [V @FGEN_Output] to
  1.014  DISP         UUT V-Ω-Diode and COM using a BNC cable and a BNC to
  1.014  DISP         dual banana adapter.
  1.015  DISP         Ensure the RANGE SELECTOR is set to Hz / %.
  1.015  DISP
  1.015  DISP         Press the yellow button to select Hz.
  1.015  DISP
  1.015  DISP         Press the RANGE button once to select 100 Hz.
  1.016  CALL         Sub Apply /FGEN
  1.017  CALL         Sub Get Frequency Accuracy /FGEN
  1.018  MATH         L[1] = @FGEN_Acc
  1.019  ACC          60.00Hz        L1U
  1.020  TARGET       -m
  1.021  MEMI         Enter UUT reading in hertz:
  1.022  MEMCX  100   60.00Hz        0.1% 0.05U    2.5V

  2.001  RSLT         =
  2.002  HEAD         -2{1000 Hz Range}
  2.003  MATH         @FGEN_Freq = "900Hz"
  2.004  TARGET       -p
  2.005  DISP         Press the RANGE button once to select 1000 Hz.
  2.006  CALL         Sub Apply /FGEN
  2.007  CALL         Sub Get Frequency Accuracy /FGEN
  2.008  MATH         L[1] = @FGEN_Acc
  2.009  ACC          900.0Hz        L1U
  2.010  TARGET       -m
  2.011  MEMI         Enter UUT reading in hertz:
  2.012  MEMCX  1000  900.0Hz        0.1% 0.5U     2.5V

  3.001  RSLT         =
  3.002  HEAD         -2{10 kHz Range}
  3.003  MATH         @FGEN_Freq = "9kHz"
  3.004  TARGET       -p
  3.005  DISP         Press the RANGE button once to select 10 kHz.
  3.006  CALL         Sub Apply /FGEN
  3.007  CALL         Sub Get Frequency Accuracy /FGEN
  3.008  MATH         L[1] = @FGEN_Acc / 1E+3
  3.009  ACC          9.000kHz       L1U
  3.010  TARGET       -m
  3.011  MEMI         Enter UUT reading in kilohertz:
  3.012  MEMCX  10    9.000kHz       0.1% 0.005U   2.5V

  4.001  RSLT         =
  4.002  HEAD         -2{100 kHz Range}
  4.003  MATH         @FGEN_Freq = "90kHz"
  4.004  TARGET       -p
  4.005  DISP         Press the RANGE button once to select 100 kHz.
  4.006  CALL         Sub Apply /FGEN
  4.007  CALL         Sub Get Frequency Accuracy /FGEN
  4.008  MATH         L[1] = @FGEN_Acc / 1E+3
  4.009  ACC          90.00kHz       L1U
  4.010  TARGET       -m
  4.011  MEMI         Enter UUT reading in kilohertz:
  4.012  MEMCX        90.00kHz       0.1% 0.05U    2.5V

  5.001  RSLT         =
  5.002  HEAD         -2{1000 kHz Range}
  5.003  MATH         @FGEN_Freq = "900kHz"
  5.004  TARGET       -p
  5.005  DISP         Press the RANGE button once to select 1000 kHz.
  5.006  CALL         Sub Apply /FGEN
  5.007  CALL         Sub Get Frequency Accuracy /FGEN
  5.008  MATH         L[1] = @FGEN_Acc / 1E+3
  5.009  ACC          900.0kHz       L1U
  5.010  TARGET       -m
  5.011  MEMI         Enter UUT reading in kilohertz:
  5.012  MEMCX  1000  900.0kHz       0.1% 0.5U     2.5V

  6.001  RSLT         =
  6.002  HEAD         -2{10 MHz Range}
  6.003  MATH         @FGEN_Freq = "4MHz"
  6.004  TARGET       -p
  6.005  DISP         Press the RANGE button once to select 10 MHz.
  6.006  CALL         Sub Apply /FGEN
  6.007  CALL         Sub Get Frequency Accuracy /FGEN
  6.008  MATH         L[1] = @FGEN_Acc / 1E+6
  6.009  ACC          4.000MHz       L1U
  6.010  TARGET       -m
  6.011  MEMI         Enter UUT reading in megahertz:
  6.012  MEMCX  10    4.000MHz       0.1% 0.005U   2.5V

  7.001  HEAD         -2
  7.002  HEAD
  7.003  END
